Dokumentacja AlgoJudge0.1
REST reference

Account

Ta strona jest po angielsku

Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
GET/account

Response Body

curl -X GET "https://example.com/account"
{  "userId": "string",  "username": "string",  "firstName": "string",  "lastName": "string",  "email": "string",  "emailConfirmed": true,  "isLocal": true}
PUT/account

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X PUT "https://example.com/account" \  -H "Content-Type: application/json" \  -d '{}'
{  "userId": "string",  "username": "string",  "firstName": "string",  "lastName": "string",  "email": "string",  "emailConfirmed": true,  "isLocal": true}
POST/account/password

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/account/password" \  -H "Content-Type: application/json" \  -d '{    "currentPassword": "string",    "newPassword": "string"  }'
Empty
GET/account/links

Response Body

curl -X GET "https://example.com/account/links"
[  {    "providerSlug": "string",    "displayName": "string",    "accountUrl": "string",    "deletionUrl": "string",    "linkedAt": "string"  }]
GET/account/export

Response Body

curl -X GET "https://example.com/account/export"
Empty
POST/account/delete

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

curl -X POST "https://example.com/account/delete" \  -H "Content-Type: application/json" \  -d '{    "password": "string"  }'
Empty